> For the complete documentation index, see [llms.txt](https://docs.monogoto.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.monogoto.io/developer/api/pricing/get-pricing-plan-information.md).

# Get Pricing Plan Information

## Get Pricing Plan Information

<mark style="color:blue;">`GET`</mark> `https://console.monogoto.io/priceplan/byCustomerAndNetworkProvider/{CUSTOMER_ID}/{NETWORK_PROVIDER_ID}`

#### Path Parameters

| Name                                                    | Type   | Description                                                                                                                                                              |
| ------------------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| CUSTOMER\_ID<mark style="color:red;">\*</mark>          | String | Customer API key                                                                                                                                                         |
| NETWORK\_PROVIDER\_ID<mark style="color:red;">\*</mark> | String | Replace with network provider ID which can be retrieved through the [**GET Roaming Policy request**](/developer/api/roaming-policy-supported-countries-networks-list.md) |

#### Headers

| Name                                          | Type   | Description               |
| --------------------------------------------- | ------ | ------------------------- |
| TOKEN\_HERE<mark style="color:red;">\*</mark> | String | Your authentication token |
| CUSTOMER\_ID                                  | String | Customer API key          |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

### Example using cURL:

```bash
curl -X GET \
    --url "https://console.monogoto.io/priceplan/byCustomerAndNetworkProvider/{CUSTOMER_ID}/{NETWORK_PROVIDER_ID}" \
    -H "accept: application/json" \
    -H "Authorization: Bearer {TOKEN_HERE}" \
    -H "apikey: {CUSTOMER_ID}"
```

{% hint style="info" %}
Please note that the above shown command needs to be replaced with information:&#x20;

**{TOKEN\_HERE}** - replace with your token

**{CUSTOMER\_ID}** - replace with your customer API key

**{NETWORK\_PROVIDER\_ID}** - replace with network provider ID which can be retrieved through the [**GET Roaming Policy request**](/developer/api/roaming-policy-supported-countries-networks-list.md)
{% endhint %}

Request example:

```bash
curl -X GET \
    --url "https://console.monogoto.io/priceplan/byCustomerAndNetworkProvider/cid_ecs1d3a5-f5e62a1-fe8af468wf/NetworkProviderId_099a96b6f-af4a-4b3d-aasdd-665adasd0f762" \
    -H "accept: application/json" \
    -H "Authorization: Bearer eyJhb6IkpXVCJ9.eyJSb2xlIjoiVXN4lclByb2ZpbGVJZF9kZGM2MThhNC0wNTI1LTQ2MmUtYWN3NzhhMGQxYmbSI6Im4zgFkbWluIiwiQ3VzdG9tsbCwiVXNlcklkIjoiVklkXzg5Yj5Y2OGEyUtNDQThhLTEzZjA0MzJhZDE3YyINTAzgZmUtZGI51My00ZjRiLTktN2U5Yjc0ZWU1ZThlIiwiaWNzM3MjI5L2MDY3NTE2Mjl9.99aSLzP7kTgK6TZGW-xalrMu0GkW6viunt3XxbNng" \
    -H "apikey: cid_ecs1d3a5-f5e62a1-fe8af468wf"
```

Expected result showing network ID and Roaming Policies operators list with their IDs:

```json
[
  {
    "PricePlanName": "PAYG_€_Profile_B_v1.5_S0.3_10_01_2021",
    "PricePlanId": "PricePlanId_5cc65sfeb-1666-4ev3-83b1-ac635c432b",
    "Version": "0.22.0",
    "PricePlanInheritance": null,
    "Currency": "EUR",
    "NetworkProviderId": "NetworkProviderId_099a96b6f-af4a-4b3d-aasdd-665adasd0f762",
    "AppliedDate": 1593561600000,
    "SubscriberFees": [
      {
        "LowerLimitActiveDevices": 0,
        "UpperLimitActiveDevices": null,
        "DeviceFee": "0.3"
      }
    ],
    "PLMN": [
      {
        "Id": 1,
        "VisitedNetworkName": "default",
        "VisitedNetworkIdentifier": "",
        "PS_Data": "10",
        "PS_Data_Rounding": "kb",
        "MO_SMS": "10",
        "MT_SMS": "0",
        "MO_Voice": "10",
        "MT_Voice": "10",
        "Voice_Rounding": "min",
        "MO_CSD": "10",
        "MT_CSD": "10",
        "CSD_Rounding": "min",
        "NBIOT_UP_PACKET": 0,
        "NBIOT_DOWN_PACKET": 0
      },
      {
        "Id": 2,
        "VisitedNetworkName": "MNOId_551cas4b-6bb9-4a6a-8997-f1116dsgz16eb61",
        "VisitedNetworkIdentifier": "ALBVF",
        "PS_Data": "0.15",
        "PS_Data_Rounding": "kb",
        "MO_SMS": "0.3",
        "MT_SMS": "0",
        "MO_Voice": "0",
        "MT_Voice": "0",
        "Voice_Rounding": "min",
        "MO_CSD": "0",
        "MT_CSD": "0",
        "CSD_Rounding": "min",
        "NBIOT_UP_PACKET": 0,
        "NBIOT_DOWN_PACKET": 0
      },
      {
...
```

{% openapi src="/files/lqgrtNg1pOcbxIdacwgh" path="/priceplan/byCustomerAndNetworkProvider/{CustomerId}/{NetworkProviderId}" method="get" %}
[JPU\_CustomerAPIV\_Without\_Test it.yaml](https://3922449203-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M0mPxGpottOEfcucXOR%2Fuploads%2FXtNpEMk17YOUrC39Cmvr%2FJPU_CustomerAPIV_Without_Test%20it.yaml?alt=media\&token=09b74b38-dd09-4edc-8f98-4df792b3c986)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.monogoto.io/developer/api/pricing/get-pricing-plan-information.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
